Page MenuHomePhabricator

[Regression ?wmf3] Non-normalised category names cause "Uncaught TypeError: Cannot read property 'hidden' of undefined" to be thrown
Closed, ResolvedPublic

Description


Version: unspecified
Severity: normal

Details

Reference
bz72080
Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFollow normalisation response from category status query

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:55 AM
bzimport set Reference to bz72080.

E.g. on https://www.mediawiki.org/wiki/VisualEditor - extra invisible characters at the end of each category name seems to be causing this

gerritadmin wrote:

Change 166863 had a related patch set uploaded by Alex Monk:
Follow normalisation response from category status query

https://gerrit.wikimedia.org/r/166863

  • Bug 72303 has been marked as a duplicate of this bug. ***
Jdforrester-WMF renamed this task from VisualEditor: [Regression ?wmf3] Non-normalised category names cause "Uncaught TypeError: Cannot read property 'hidden' of undefined" to be thrown to [Regression ?wmf3] Non-normalised category names cause "Uncaught TypeError: Cannot read property 'hidden' of undefined" to be thrown.Nov 24 2014, 1:44 AM
Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from External and Administrivia to Blocked on the VisualEditor board.

Change 166863 had a related patch set uploaded (by Alex Monk):
Follow normalisation response from category status query

https://gerrit.wikimedia.org/r/166863

Patch-For-Review

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Nov 26 2014, 2:00 AM

Change 166863 merged by jenkins-bot:
Follow normalisation response from category status query

https://gerrit.wikimedia.org/r/166863

Jdforrester-WMF closed this task as Resolved.Nov 26 2014, 3:12 AM
Jdforrester-WMF updated the task description. (Show Details)